gtkmm: Gtk::CssProviderError Class Reference

gtkmm 3.16.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gtk::CssProviderError Class Reference

Exception class for Gtk::CssProvider errors. More...

`#include <gtkmm/cssprovider.h>`

Inheritance diagram for Gtk::CssProviderError:
[legend]

## Public Types
enum | Code { FAILED, SYNTAX, IMPORT, NAME, DEPRECATED, UNKNOWN_VALUE }
| Error codes for Gtk::CSS_PROVIDER_ERROR. More...

## Public Member Functions
| CssProviderError (Code error_code, const Glib::ustring& error_message)
| CssProviderError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
virtual | ~Error ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for Gtk::CssProvider errors.

## Member Enumeration Documentation

enum Gtk::CssProviderError::Code

Error codes for Gtk::CSS_PROVIDER_ERROR.

Enumerator
FAILED | Failed.
SYNTAX | Syntax error.
IMPORT | Import error.
NAME | Name error.
DEPRECATED | Deprecation error.
UNKNOWN_VALUE | Unknown value.

## Constructor & Destructor Documentation

Gtk::CssProviderError::CssProviderError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::CssProviderError::CssProviderError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gtk::CssProviderError::code | ( |  | ) | const